lang/python27 - The NetBSD Packages Collection

Interpreted, interactive, object-oriented programming language

Python is an interpreted, interactive, object-oriented
programming language that combines remarkable power with
very clear syntax. For an introduction to programming in
Python you are referred to the Python Tutorial. The
Python Library Reference documents built-in and standard
types, constants, functions and modules. Finally, the
Python Reference Manual describes the syntax and semantics
of the core language in (perhaps too) much detail.

Python's basic power can be extended with your own modules
written in C or C++. On most systems such modules may be
dynamically loaded. Python is also adaptable as an exten-
sion language for existing applications. See the internal
documentation for hints.

Build dependencies

devel/readline pkgtools/cwrappers devel/readline

Runtime dependencies

security/mozilla-rootcerts devel/libffi devel/libffi

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 8.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 8.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 8.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 8.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 8.0i386python27-2.7.18nb3.tgz
NetBSD 8.0i386python27-2.7.18nb3.tgz
NetBSD 8.0i386python27-2.7.18nb3.tgz
NetBSD 8.0i386python27-2.7.18nb3.tgz
NetBSD 8.0powerpcpython27-2.7.18nb3.tgz
NetBSD 8.0powerpcpython27-2.7.18nb3.tgz
NetBSD 8.0powerpcpython27-2.7.18nb3.tgz
NetBSD 8.0powerpcpython27-2.7.18nb3.tgz
NetBSD 8.0x86_64python27-2.7.18nb3.tgz
NetBSD 8.0x86_64python27-2.7.18nb3.tgz
NetBSD 8.0x86_64python27-2.7.18nb3.tgz
NetBSD 8.0x86_64python27-2.7.18nb3.tgz
NetBSD 9.0aarch64python27-2.7.18nb3.tgz
NetBSD 9.0aarch64python27-2.7.18nb3.tgz
NetBSD 9.0aarch64python27-2.7.18nb3.tgz
NetBSD 9.0aarch64python27-2.7.18nb3.tgz
NetBSD 9.0alphapython27-2.7.18nb3.tgz
NetBSD 9.0alphapython27-2.7.18nb3.tgz
NetBSD 9.0earmpython27-2.7.18nb3.tgz
NetBSD 9.0earmpython27-2.7.18nb3.tgz
NetBSD 9.0earmv6hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv6hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv6hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv6hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv6hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 9.0earmv7hfpython27-2.7.18nb3.tgz
NetBSD 9.0i386python27-2.7.18nb3.tgz
NetBSD 9.0i386python27-2.7.18nb3.tgz
NetBSD 9.0i386python27-2.7.18nb3.tgz
NetBSD 9.0i386python27-2.7.18nb3.tgz
NetBSD 9.0m68kpython27-2.7.18nb3.tgz
NetBSD 9.0m68kpython27-2.7.18nb3.tgz
NetBSD 9.0m68kpython27-2.7.18nb3.tgz
NetBSD 9.0mips64ebpython27-2.7.18nb3.tgz
NetBSD 9.0mips64ebpython27-2.7.18nb3.tgz
NetBSD 9.0mips64ebpython27-2.7.18nb3.tgz
NetBSD 9.0mips64ebpython27-2.7.18nb3.tgz
NetBSD 9.0mipselpython27-2.7.18nb3.tgz
NetBSD 9.0mipselpython27-2.7.18nb3.tgz
NetBSD 9.0mipselpython27-2.7.18nb3.tgz
NetBSD 9.0powerpcpython27-2.7.18nb3.tgz
NetBSD 9.0powerpcpython27-2.7.18nb3.tgz
NetBSD 9.0powerpcpython27-2.7.18nb3.tgz
NetBSD 9.0powerpcpython27-2.7.18nb3.tgz
NetBSD 9.0powerpcpython27-2.7.18nb3.tgz
NetBSD 9.0sh3elpython27-2.7.18nb3.tgz
NetBSD 9.0sh3elpython27-2.7.18nb3.tgz
NetBSD 9.0sh3elpython27-2.7.18nb3.tgz
NetBSD 9.0sh3elpython27-2.7.18nb3.tgz
NetBSD 9.0sparc64python27-2.7.18nb3.tgz
NetBSD 9.0sparc64python27-2.7.18nb3.tgz
NetBSD 9.0sparcpython27-2.7.18nb3.tgz
NetBSD 9.0sparcpython27-2.7.18nb3.tgz
NetBSD 9.0sparcpython27-2.7.18nb3.tgz
NetBSD 9.0sparcpython27-2.7.18nb3.tgz
NetBSD 9.0x86_64python27-2.7.18nb3.tgz
NetBSD 9.0x86_64python27-2.7.18nb3.tgz
NetBSD 9.0x86_64python27-2.7.18nb3.tgz
NetBSD 9.0x86_64python27-2.7.18nb3.tgz
NetBSD 9.0x86_64python27-2.7.18nb3.tgz
NetBSD 9.0x86_64python27-2.7.18nb3.tgz
NetBSD 9.0x86_64python27-2.7.18nb3.tgz
NetBSD 9.0x86_64python27-2.7.18nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

x11
Enable X11 support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.